Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/locations/photos/remove

Delete Location Photos

This API allows you to delete one or more photos of type ADDITIONAL from a specified location.

For more details, refer to Manage photos for your location.

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Body

NameTypeRequiredDescription
inputobjectrequired
input.locationIdstringrequiredID of the location to remove photos from
input.photoIdsarray of stringrequiredList of Photo IDs to be deleted

Request

Request
curl -X POST 'https://api.synup.com/api/v4/locations/photos/remove' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '""'

Responses

StatusDescription
200Logo/Cover Cannot Be Starred: If a request includes photos of type LOGO or COVER, the operation will fail for those photos.
Example response (generated from the schema)
{
  "data": {
    "removeLocationPhotos": {
      "success": true,
      "errors": null,
      "photos": [
        {
          "databaseId": 0,
          "fileSize": 0,
          "id": "string",
          "name": "string",
          "starred": true,
          "thumbnailUrl": "string",
          "type": "string",
          "url": "string",
          "publisherOverride": "string"
        }
      ],
      "clientMutationId": null
    }
  }
}

Response body

NameTypeRequiredDescription
dataobjectrequired
data.removeLocationPhotosobjectrequired
data.removeLocationPhotos.successbooleanrequired
data.removeLocationPhotos.errorsnullrequired
data.removeLocationPhotos.photosarray of objectrequired
data.removeLocationPhotos.photos[].databaseIdintegeroptional
data.removeLocationPhotos.photos[].fileSizeintegeroptional
data.removeLocationPhotos.photos[].idstringoptional
data.removeLocationPhotos.photos[].namestringoptional
data.removeLocationPhotos.photos[].starredbooleanoptional
data.removeLocationPhotos.photos[].thumbnailUrlstringoptional
data.removeLocationPhotos.photos[].typestringoptional
data.removeLocationPhotos.photos[].urlstringoptional
data.removeLocationPhotos.photos[].publisherOverridestringoptional
data.removeLocationPhotos.clientMutationIdnullrequired